org.apache.tinkerpop.gremlin.driver

## Class Tokens

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.Tokens

-     public final class Tokens
      extends Object

  String constants used in gremlin-driver and gremlin-server.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARGS_AGGREGATE_TO`
    `static String` | `ARGS_ALIASES`
    `static String` | `ARGS_BATCH_SIZE`
    `static String` | `ARGS_BINDINGS`
    `static String` | `ARGS_COORDINATES` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `ARGS_COORDINATES_ARTIFACT` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `ARGS_COORDINATES_GROUP` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `ARGS_COORDINATES_VERSION` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `ARGS_FORCE`
    `static String` | `ARGS_GREMLIN`
    `static String` | `ARGS_HOST`
    `static String` | `ARGS_IMPORTS` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `ARGS_INFO_TYPE` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `ARGS_INFO_TYPE_DEPDENENCIES` Deprecated. As of release 3.1.1-incubating, replaced by `ARGS_INFO_TYPE_DEPENDENCIES`
    `static String` | `ARGS_INFO_TYPE_DEPENDENCIES` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `ARGS_INFO_TYPE_IMPORTS` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `ARGS_LANGUAGE`
    `static String` | `ARGS_MANAGE_TRANSACTION`
    `static String` | `ARGS_REBINDINGS` Deprecated. As of release 3.1.0-incubating, replaced by `ARGS_ALIASES`.
    `static String` | `ARGS_SASL`
    `static String` | `ARGS_SASL_MECHANISM`
    `static String` | `ARGS_SCRIPT_EVAL_TIMEOUT`
    `static String` | `ARGS_SESSION`
    `static String` | `ARGS_SIDE_EFFECT`
    `static String` | `ARGS_SIDE_EFFECT_KEY`
    `static List<String>` | `INFO_TYPES` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `OPS_AUTHENTICATION`
    `static String` | `OPS_BYTECODE`
    `static String` | `OPS_CLOSE`
    `static String` | `OPS_EVAL`
    `static String` | `OPS_GATHER`
    `static String` | `OPS_IMPORT` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `OPS_INVALID`
    `static String` | `OPS_KEYS`
    `static String` | `OPS_RESET` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `OPS_SHOW` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `OPS_USE` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `OPS_VERSION` Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
    `static String` | `STATUS_ATTRIBUTE_EXCEPTIONS`
    `static String` | `STATUS_ATTRIBUTE_STACK_TRACE`
    `static String` | `VAL_AGGREGATE_TO_BULKSET`
    `static String` | `VAL_AGGREGATE_TO_LIST`
    `static String` | `VAL_AGGREGATE_TO_MAP`
    `static String` | `VAL_AGGREGATE_TO_NONE`
    `static String` | `VAL_AGGREGATE_TO_SET`
    `static String` | `VAL_TRAVERSAL_SOURCE_ALIAS`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPS_AUTHENTICATION

          public static final String OPS_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### OPS_BYTECODE

          public static final String OPS_BYTECODE

      See Also:
        Constant Field Values

    - #### OPS_EVAL

          public static final String OPS_EVAL

      See Also:
        Constant Field Values

    - #### OPS_INVALID

          public static final String OPS_INVALID

      See Also:
        Constant Field Values

    - #### OPS_GATHER

          public static final String OPS_GATHER

      See Also:
        Constant Field Values

    - #### OPS_KEYS

          public static final String OPS_KEYS

      See Also:
        Constant Field Values

    - #### OPS_CLOSE

          public static final String OPS_CLOSE

      See Also:
        Constant Field Values

    - #### OPS_SHOW

          @Deprecated
          public static final String OPS_SHOW

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### OPS_IMPORT

          @Deprecated
          public static final String OPS_IMPORT

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### OPS_RESET

          @Deprecated
          public static final String OPS_RESET

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### OPS_USE

          @Deprecated
          public static final String OPS_USE

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### OPS_VERSION

          @Deprecated
          public static final String OPS_VERSION

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### ARGS_BATCH_SIZE

          public static final String ARGS_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### ARGS_BINDINGS

          public static final String ARGS_BINDINGS

      See Also:
        Constant Field Values

    - #### ARGS_ALIASES

          public static final String ARGS_ALIASES

      See Also:
        Constant Field Values

    - #### ARGS_FORCE

          public static final String ARGS_FORCE

      See Also:
        Constant Field Values

    - #### ARGS_GREMLIN

          public static final String ARGS_GREMLIN

      See Also:
        Constant Field Values

    - #### ARGS_LANGUAGE

          public static final String ARGS_LANGUAGE

      See Also:
        Constant Field Values

    - #### ARGS_SCRIPT_EVAL_TIMEOUT

          public static final String ARGS_SCRIPT_EVAL_TIMEOUT

      See Also:
        Constant Field Values

    - #### ARGS_HOST

          public static final String ARGS_HOST

      See Also:
        Constant Field Values

    - #### ARGS_SESSION

          public static final String ARGS_SESSION

      See Also:
        Constant Field Values

    - #### ARGS_MANAGE_TRANSACTION

          public static final String ARGS_MANAGE_TRANSACTION

      See Also:
        Constant Field Values

    - #### ARGS_SASL

          public static final String ARGS_SASL

      See Also:
        Constant Field Values

    - #### ARGS_SASL_MECHANISM

          public static final String ARGS_SASL_MECHANISM

      See Also:
        Constant Field Values

    - #### ARGS_SIDE_EFFECT

          public static final String ARGS_SIDE_EFFECT

      See Also:
        Constant Field Values

    - #### ARGS_AGGREGATE_TO

          public static final String ARGS_AGGREGATE_TO

      See Also:
        Constant Field Values

    - #### ARGS_SIDE_EFFECT_KEY

          public static final String ARGS_SIDE_EFFECT_KEY

      See Also:
        Constant Field Values

    - #### ARGS_REBINDINGS

          @Deprecated
          public static final String ARGS_REBINDINGS

      Deprecated. As of release 3.1.0-incubating, replaced by `ARGS_ALIASES`.
      See Also:
        Constant Field Values

    - #### ARGS_COORDINATES

          public static final String ARGS_COORDINATES

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### ARGS_COORDINATES_GROUP

          @Deprecated
          public static final String ARGS_COORDINATES_GROUP

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### ARGS_COORDINATES_ARTIFACT

          @Deprecated
          public static final String ARGS_COORDINATES_ARTIFACT

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### ARGS_COORDINATES_VERSION

          @Deprecated
          public static final String ARGS_COORDINATES_VERSION

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### ARGS_IMPORTS

          @Deprecated
          public static final String ARGS_IMPORTS

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### ARGS_INFO_TYPE_DEPENDENCIES

          @Deprecated
          public static final String ARGS_INFO_TYPE_DEPENDENCIES

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### ARGS_INFO_TYPE

          public static final String ARGS_INFO_TYPE

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### ARGS_INFO_TYPE_DEPDENENCIES

          @Deprecated
          public static final String ARGS_INFO_TYPE_DEPDENENCIES

      Deprecated. As of release 3.1.1-incubating, replaced by `ARGS_INFO_TYPE_DEPENDENCIES`
      See Also:
        Constant Field Values

    - #### ARGS_INFO_TYPE_IMPORTS

          @Deprecated
          public static final String ARGS_INFO_TYPE_IMPORTS

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.
      See Also:
        Constant Field Values

    - #### INFO_TYPES

          @Deprecated
          public static final List<String> INFO_TYPES

      Deprecated. As for release 3.2.2, not replaced as this feature was never really published as official.

    - #### VAL_AGGREGATE_TO_BULKSET

          public static final String VAL_AGGREGATE_TO_BULKSET

      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_LIST

          public static final String VAL_AGGREGATE_TO_LIST

      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_MAP

          public static final String VAL_AGGREGATE_TO_MAP

      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_NONE

          public static final String VAL_AGGREGATE_TO_NONE

      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_SET

          public static final String VAL_AGGREGATE_TO_SET

      See Also:
        Constant Field Values

    - #### VAL_TRAVERSAL_SOURCE_ALIAS

          public static final String VAL_TRAVERSAL_SOURCE_ALIAS

      See Also:
        Constant Field Values

    - #### STATUS_ATTRIBUTE_EXCEPTIONS

          public static final String STATUS_ATTRIBUTE_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### STATUS_ATTRIBUTE_STACK_TRACE

          public static final String STATUS_ATTRIBUTE_STACK_TRACE

      See Also:
        Constant Field Values

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.